#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>
#include <QPixmap>
#include <QWidget>
#include <QVBoxLayout>
#include <QLabel>

#include <QPainter>
#include <QBrush>
#include <QPen>

#include <QFile>
#include <QTimer>

class MainWindow : public QMainWindow
{
    Q_OBJECT

public:
    MainWindow(QWidget *parent = 0);
    ~MainWindow();

    QVBoxLayout *mVBox;

public slots:
    void resetQ(void);
    void fileSave(void);

private:
    QPixmap *target;

    QWidget *center_widget;
    QLabel *i_label;

    void resizeEvent(QResizeEvent*);

};

#endif // MAINWINDOW_H
